Module | ActiveRecord::ConnectionAdapters::DatabaseLimits
In: | lib/active_record/connection_adapters/abstract/database_limits.rb

### Methods

column_name_length columns_per_multicolumn_index columns_per_table in_clause_length index_name_length indexes_per_table joins_per_query sql_query_length table_alias_length table_name_length

### Public Instance methods

column_name_length()

the maximum length of a column name

columns_per_multicolumn_index()

the maximum number of columns in a multicolumn index

columns_per_table()

the maximum number of columns per table

in_clause_length()

the maximum number of elements in an IN (x,y,z) clause

index_name_length()

the maximum length of an index name

indexes_per_table()

the maximum number of indexes per table

joins_per_query()

maximum number of joins in a single query

sql_query_length()

the maximum length of a SQL query

table_alias_length()

the maximum length of a table alias

table_name_length()

the maximum length of a table name

[Validate]